Yum не разрешает зависимости

Аватар пользователя birukoff

Делаю yum update

Через некоторое время нормальной, судя по всему, работы, выдает (привожу только самый конец):
--> Processing Dependency: libnetsnmpmibs.so.5 for package: net-snmp
--> Finished Dependency Resolution
Error: Missing Dependency: libnetsnmp.so.5 is needed by package kdeutils
Error: Missing Dependency: libnetsnmpagent.so.5 is needed by package net-snmp
Error: Missing Dependency: libnetsnmphelpers.so.5 is needed by package net-snmp
Error: Missing Dependency: libnetsnmp.so.5 is needed by package hpoj
Error: Missing Dependency: libnetsnmp.so.5 is needed by package net-snmp
Error: Missing Dependency: libnetsnmptrapd.so.5 is needed by package net-snmp
Error: Missing Dependency: libnetsnmpmibs.so.5 is needed by package net-snmp

Как быть? Он же сам должен разрешать зависимости, или я не прав?

Аватар пользователя Tigro

Re: Yum не разрешает зависимости

Там вся беда из-за того, что появился пакет net-snmp-libs
Раньше его не было, вот и проблема появилась.

Решение: Поставьте пакеты руками.

Аватар пользователя mf_amber

Re: Yum не разрешает зависимости

интересно, а после
yum update yum получится?

Аватар пользователя birukoff

Re: Yum не разрешает зависимости

Да, брат мой mf_amber, я сделал yum apdate yum и процесс пошел. И это хорошо.

До этого я пробовал устанавливать пакет net-snmp, систем писала, что самый последний уже установлен, а после yum опять давал ошибку, ка к в топике. После юм пдейта апдейт системы пошел.

Всем спасибо.

RSS-материал